Summary: BIND - DNS name server
Name: bind
Version: 8.1.2
Release: 4libc
Copyright: distributable
Group: Networking/Daemons
Source0: ftp://ftp.isc.org/isc/bind/cur/bind-src.tar.gz
Source1: ftp://ftp.isc.org/isc/bind/cur/bind-doc.tar.gz
Source2: named.init
Patch0: bind-makefile.patch
Buildroot: /tmp/bind
Packager: Manuel J. Galan <manolow@step.es>
URL: http://www.isc.org/bind.html

%description
Includes the named name server, which is used to define host name
to IP address translations (and vice versa).  It can be used on
workstations as a caching name server, but is generally only needed
on one machine for an entire network.

%package utils
Summary: DNS utils - host, dig, dnsquery, nslookup
Group: Networking/Utilities

%description utils
Collection of utilities for querying name servers and looking up hosts.
These tools let you determine the IP addresses for given host names,
and find information about registered domains and network addresses.

%package devel
Summary: DNS development includes and libs
Group: Networking/Development

%description devel
All the include files and the library required for DNS development for
bind 8.x.x

%prep
%setup -n src
%setup -n src -T -D -a 1

%patch0 -p1

%build
RPM_PREFIX="" make 


%install

RPM_PREFIX=${RPM_BUILD_ROOT} make install
mkdir -p ${RPM_BUILD_ROOT}/usr/man/man1
mkdir -p ${RPM_BUILD_ROOT}/usr/man/man8
mkdir -p ${RPM_BUILD_ROOT}/usr/man/man3
mkdir -p ${RPM_BUILD_ROOT}/usr/man/man5
mkdir -p ${RPM_BUILD_ROOT}/usr/man/man7

mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/init.d
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/rc0.d
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/rc1.d
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/rc2.d
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/rc3.d
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/rc4.d
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/rc5.d
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/rc6.d

mkdir -p ${RPM_BUILD_ROOT}/usr/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/sbin
mkdir -p ${RPM_BUILD_ROOT}/usr/lib

cd doc/man
install -c -m 444 -o root -g root dig.1 ${RPM_BUILD_ROOT}/usr/man/man1/dig.1
install -c -m 444 -o root -g root host.1 ${RPM_BUILD_ROOT}/usr/man/man1/host.1
install -c -m 444 -o root -g root dnsquery.1 ${RPM_BUILD_ROOT}/usr/man/man1/dnsquery.1
install -c -m 444 -o root -g root named.8 ${RPM_BUILD_ROOT}/usr/man/man8/named.8
install -c -m 444 -o root -g root ndc.8 ${RPM_BUILD_ROOT}/usr/man/man8/ndc.8
install -c -m 444 -o root -g root named-xfer.8 ${RPM_BUILD_ROOT}/usr/man/man8/named-xfer.8
install -c -m 444 -o root -g root nslookup.8 ${RPM_BUILD_ROOT}/usr/man/man8/nslookup.8
install -c -m 444 -o root -g root gethostbyname.3 ${RPM_BUILD_ROOT}/usr/man/man3/gethostbyname.3
install -c -m 444 -o root -g root resolver.3 ${RPM_BUILD_ROOT}/usr/man/man3/resolver.3
install -c -m 444 -o root -g root getnetent.3 ${RPM_BUILD_ROOT}/usr/man/man3/getnetent.3
install -c -m 444 -o root -g root resolver.5 ${RPM_BUILD_ROOT}/usr/man/man5/resolver.5
install -c -m 444 -o root -g root hostname.7 ${RPM_BUILD_ROOT}/usr/man/man7/hostname.7

install -m755 -o root -g root $RPM_SOURCE_DIR/named.init ${RPM_BUILD_ROOT}/etc/rc.d/init.d/named
ln -sf ../init.d/named ${RPM_BUILD_ROOT}/etc/rc.d/rc0.d/K10named
ln -sf ../init.d/named ${RPM_BUILD_ROOT}/etc/rc.d/rc1.d/K10named
ln -sf ../init.d/named ${RPM_BUILD_ROOT}/etc/rc.d/rc2.d/K10named
ln -sf ../init.d/named ${RPM_BUILD_ROOT}/etc/rc.d/rc3.d/S55named
ln -sf ../init.d/named ${RPM_BUILD_ROOT}/etc/rc.d/rc5.d/S55named
ln -sf ../init.d/named ${RPM_BUILD_ROOT}/etc/rc.d/rc6.d/K10named


%post
echo This version of named no longers uses /etc/named.boot.  It now
echo uses /etc/named.conf. There is a utility in the doc directory
echo to convert your current named.boot file to the new format
echo named.conf.  Please read the documentation in the doc directory
echo before attempting to run this version of named.

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%doc README INSTALL Version CHANGES TODO bin/named/named-bootconf.pl

/etc/rc.d/init.d/named
/etc/rc.d/rc0.d/K10named
/etc/rc.d/rc1.d/K10named
/etc/rc.d/rc2.d/K10named
/etc/rc.d/rc3.d/S55named
/etc/rc.d/rc5.d/S55named
/etc/rc.d/rc6.d/K10named

/usr/sbin/named
/usr/sbin/named-xfer
/usr/sbin/ndc

/usr/man/man8/named.8
/usr/man/man8/ndc.8
/usr/man/man8/named-xfer.8
/usr/man/man7/hostname.7
     
%files utils
/usr/bin/nslookup
/usr/lib/nslookup.help
/usr/bin/host
/usr/bin/dig
/usr/bin/dnsquery
/usr/bin/addr
/usr/bin/nsupdate
/usr/man/man1/dig.1
/usr/man/man1/host.1
/usr/man/man1/dnsquery.1
/usr/man/man8/nslookup.8
/usr/man/man5/resolver.5

%files devel
/usr/local/bind
/usr/man/man3/gethostbyname.3
/usr/man/man3/resolver.3
/usr/man/man3/getnetent.3

%changelog

* Sun Apr 12 1998 Manuel J. Galan <manolow@step.es>

- Several essential modifications to build and install correctly.
- Modified 'ndc' to avoid deprecated use of '-'

* Mon Dec 22 1997 Scott Lampert <fortunato@heavymetal.org>

- Used buildroot
- patched bin/named/ns_udp.c to use <libelf/nlist.h> for include
  on Redhat 5.0 instead of <nlist.h>

